> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/pim/search/inline-editing.md).

# Inline editing

Inline editing allows you to manipulate your data in a modern, user-friendly way.

## How to navigate

1. Hover over a cell, then left-click it to select it.
2. Use the arrow keys, then press `ENTER` to select a cell.
3. Press `TAB` to move to the next cell. At end of a row, you move to the next column.

## Copy

1. Right-click a cell and select **Copy** or press `CTRL` + `C`

## Paste

1. Right-click a cell after copying, then select **Paste**. or press `CTRL` + `V`.

## Select multiple cells

1. Hold down the left or right mouse button, then drag.
2. Hold `SHIFT` while navigating.
3. If you already have a cell selected, hold `CTRL` and click another cell.

## Start edit

1. Double-click a cell to start editing.
2. Navigate to a cell and press `ENTER` to start editing.

## Save edit

1. Press the <i class="fa-check">:check:</i> **Save** button or press `CTRL` + `ENTER`.

## Check edit diff

1. Hover over the green marker in the cell’s upper-left corner.

## Cancel edit

1. Press the <i class="fa-x">:x:</i> **Cancel** button or press `ESC`.

## Edit next cell

1. Press `TAB`.

## Edit previous cell

1. Press `SHIFT` + `TAB`.

## Discard changes

1. Press **Discard changes**.

## Save changes

1. Press **Save changes**.

## End inline editing

1. Press **Stop inline editing**.
2. Press **Save changes** to keep your changes.

***

### Related Tutorial

* [How to use inline editing – Inline editing allows you to manipulate your data in a modern, user-friendly way.](/tutorials/guides/how-to-use-inline-editing.md)

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/pim/search/inline-editing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
